JNA API 3.3.0

## com.sun.jna
Class CallbackParameterContext

    java.lang.Object
      com.sun.jna.FromNativeContext
          com.sun.jna.CallbackParameterContext

    public class CallbackParameterContext

extends FromNativeContext

Provide argument conversion context for a callback invocation.

Constructor Summary
`CallbackParameterContext(Class javaType, Method m, Object[] args, int index)`

Method Summary
`Object[]` | `getArguments()`
`int` | `getIndex()`
`Method` | `getMethod()`

Methods inherited from class com.sun.jna.FromNativeContext
`getTargetType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallbackParameterContext

    CallbackParameterContext(Class javaType,
                             Method m,
                             Object[] args,
                             int index)

Method Detail

### getMethod

    public Method getMethod()

### getArguments

    public Object[] getArguments()

### getIndex

    public int getIndex()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.